Drupal.behaviors.singular = function (context) {
  $('#growl > div:not(.processed)').each(function() {
    
    $(this).addClass('processed');
    
    $('span.close', this).click(function() {
      $(this).parent().hide('fast');
    });
    
    if ($(this).is('.autoclose')) {
      // Если сообщение содержит ссылку, автозакрытие - не самая лучшая идея.
      if ($('a', this).size() > 0) {
        $(this).removeClass('autoclose');
      }
      else {
        // Добавляем 5-секундную паузу перед скрытием сообщения.
        $(this).animate({opacity:.95}, 5000, 'linear', function() {
          $(this).hide('fast');
        });
      }
    }
    
  });
}